<div class="modalContainer" *ngIf="showModal">
  <form [formGroup]="newAccountForm" (ngSubmit)="onSubmit()">
    <div class="modalContentContainer">
      <div class="leftBar">
        <img src="/assets/baby_chick.png" alt="Baby Chick" title="New Account"/>
      </div>
      <div class="formContents">
        <h1>New Account</h1>

        <div class="inputContainer">
          <label for="username">Username </label>
          <div>
            <div>
              <span *ngIf="newAccountForm.controls.username.invalid && (newAccountForm.controls.username.dirty || newAccountForm.controls.username.touched)">
                <img src="/assets/icon--alert.svg" alt="Username Error" title="Username Error"/>
              </span>
              <input id="username" type="text" formControlName="username">
              <span *ngIf="newAccountForm.getRawValue().username.length > 0">
                <button (click)="clearValue('username')" type="button">
                  <img src="/assets/icon--saltire.svg" alt="Clear Username" title="Clear Username"/>
                </button>
              </span>
            </div>
            <span *ngIf="newAccountForm.controls.username.invalid && (newAccountForm.controls.username.dirty || newAccountForm.controls.username.touched)">
              <p class="errorMessage">This is a required field.</p>
            </span>
          </div>
        </div>

        <div class="inputContainer">
          <div>
            <div>
              <label for="password">Password </label>
              <button (click)="togglePassword()" type="button">
                <img src="{{showPassword ? '/assets/icon--eye-open.svg' : '/assets/icon--eye-closed.svg'}}" class="passwordToggleIcon" alt="Toggle Password Visibility" title="Toggle Password Visibility"/>
                <p>{{showPassword ? "Show" : "Hide"}}</p>
              </button>
            </div>
            <div>
              <span *ngIf="newAccountForm.controls.password.invalid && (newAccountForm.controls.password.dirty || newAccountForm.controls.password.touched)">
                <img src="/assets/icon--alert.svg" alt="Password Error" title="Password Error"/>
              </span>
              <input id="password" type="{{showPassword ? 'text' : 'password'}}" formControlName="password">
              <span *ngIf="newAccountForm.getRawValue().password.length > 0">
                <button (click)="clearValue('password')" type="button">
                  <img src="/assets/icon--saltire.svg" alt="Clear Password" title="Clear Password"/>
                </button>
              </span>
            </div>
            <span *ngIf="newAccountForm.controls.password.invalid && (newAccountForm.controls.password.dirty || newAccountForm.controls.password.touched)">
              <p class="errorMessage">This is a required field.</p>
            </span>
          </div>
        </div>

        <div class="inputContainer">
          <div>
            <label for="email">Email </label>
            <div>
              <span *ngIf="newAccountForm.controls.email.invalid && (newAccountForm.controls.email.dirty || newAccountForm.controls.email.touched)">
                <img src="/assets/icon--alert.svg" alt="Email Error" title="Email Error"/>
              </span>
              <input id="email" type="text" formControlName="email">
              <span *ngIf="newAccountForm.getRawValue().email.length > 0">
                <button (click)="clearValue('email')" type="button">
                  <img src="/assets/icon--saltire.svg" alt="Clear Email" title="Clear Email"/>
                </button>
              </span>
            </div>
            <span *ngIf="newAccountForm.controls.email.invalid && (newAccountForm.controls.email.dirty || newAccountForm.controls.email.touched)">
              <p class="errorMessage" *ngIf="newAccountForm.controls.email.errors?.required">This is a required field.</p>
              <p class="errorMessage" *ngIf="newAccountForm.controls.email.errors?.email">Please enter a valid email.</p>
            </span>
          </div>
        </div>
      </div>
      <div class="actionsContainer">
        <button class="cancelButton" type="button" (click)="closeModal.emit()">Cancel</button>
        <button class="registerButton" type="submit">Register Account</button>
      </div>
    </div>
  </form>
</div>
